Package org.apache.calcite.avatica.remote

# Class MockJsonService.Factory

java.lang.Object
org.apache.calcite.avatica.remote.MockJsonService.Factory

All Implemented Interfaces:
  `Service.Factory`

Enclosing class:
  MockJsonService

public static class MockJsonService.Factory extends Object implements Service.Factory
Factory that creates a `MockJsonService`.

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`Service`
`create(AvaticaConnection connection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public Service create(AvaticaConnection connection)

Specified by:
  `create` in interface `Service.Factory`